var param = null;
var data = {};

apiready = function () {
    var qq = api.require('qq');
    var wx = api.require('wx');
    api.addEventListener({
        name: 'keyback'
    }, function (ret, err) {
        if(param && param.from){
            api.closeWin();
            return;
        }
        api.openFrame({
            name: 'user',
            url: 'user.html'
        });
    });

    param = api.pageParam;

    $('div.QQ').tap(function () {
        qq.installed(function (ret, err) {
            if (!ret.status) {
                api.alert({
                    title: '错误',
                    msg: '您还没有安装QQ哦'
                });
                return;
            }
            qq.login(function (ret, err) {
                if (err) {
                    api.alert({
                        title: '错误',
                        msg: err.msg
                    });
                    return;
                }

                if(!ret.status){
                    api.alert({
                        title: '错误',
                        msg: '登录失败！'
                    });
                    return;
                }
                data.oauth_openid = ret.openId;
                getUInfo();
            });
        });

    });

    function getUInfo() {
        api.showProgress({
            title: '登录中...',
        });


        qq.getUserInfo(function (ret, err) {
            if (err) {
                api.alert({
                    title: '错误',
                    msg: err.msg
                });
                return;
            }
            data.name = ret.info.nickname;
            data.gender = ret.info.gender;
            data.province = ret.info.province;
            data.city = ret.info.city;
            data.avatar = ret.info.figureurl;
            data.oauth_name = 'qq';
            uloginAction();
        });
    };

    $('div.WX').tap(function () {
        var $_auth = {
            '-1':'未知错误',
            '0':'成功',
            '1':'用户取消',
            '2':'用户拒绝授权',
            '3':'当前设备没有安装微信客户端'
        };
        wx.auth({}, function (ret, err) {
            if (ret.status) {
                localStorage.setItem('wxToken', ret.code);
                var token = ret.code;
                getToken(token);
            } else {
                api.alert({
                    title:'出错了',
                    msg:$_auth[err.code]
                });
            }
        });
    });

    function getToken(token) {
        wx.getToken({
            code: token
        }, function (ret, err) {
            if (ret.status) {
                login(ret.accessToken, ret.openId);
            } else {
                alert(err.code);
            }
        });
    };
    function login(token, oID) {
        api.showProgress({
            title: '登录中...',
        });
        wx.getUserInfo({
            accessToken: token,
            openId: oID
        }, function (ret, err) {
            if (ret.status) {
                data.oauth_openid = ret.unionid;
                data.name=ret.nickname;
                data.avatar = ret.headimgurl;
                data.oauth_name = 'wx';
                uloginAction();
            } else {
                alert(err.code);
            }
        });
    }

    function uloginAction(){
        api.ajax({
            url: window._host+'/index.php?s=member&c=register&a=callback',
            method: 'post',
            timeout: 30,
            dataType: 'json',
            returnAll: false,
            headers:{
                'X_REQUESTED_WITH':'XMLHttpRequest'
            },
            data: {
                values: data,
            }
        }, function (ret, err) {
            api.hideProgress();

            if(err){
                api.alert({
                    title: '错误',
                    msg: err.msg
                });
                return;
            }
            if (ret&&ret.id) {
                localStorage.setItem('uLogin', JSON.stringify(ret));
                api.execScript({
                    name:'root',
                    frameName: 'note',
                    script:'checkAdd()'
                });
                if(param && param.from){
                    api.closeWin();
                    return;
                }
                api.openFrame({
                    name: 'user',
                    url: 'user_out.html'
                });
            } else if(ret.msg){
                api.alert({
                    msg: ret.msg
                });
            };
        });
    }

};

$('#login').tap(function () {
    var uname = $('#uname').val();
    var upass = $('#pass').val();

    if (uname.length < 5 || upass.length < 5) {
        api.alert({
            title: '错误',
            msg: '请输入账号密码后登陆！'
        });
        return;
    }
    api.ajax({
        url: window._host+'/index.php?s=member&c=appapi&a=userlogin',
        method: 'post',
        timeout: 30,
        dataType: 'json',
        returnAll: false,
        headers:{
            'X_REQUESTED_WITH':'XMLHttpRequest'
        },
        data: {
            values:{"username":uname,"password":upass}
        }
    }, function (ret, err) {
        if (ret) {
            if(ret && ret.id){
                localStorage.setItem('uLogin', JSON.stringify(ret));
                api.execScript({
                    name:'root',
                    frameName: 'note',
                    script:'checkAdd()'
                });
                if(param && param.from){
                    api.closeWin();
                    return;
                }
                api.openFrame({
                    name: 'user',
                    url: 'user_out.html'
                });
            }else{
                api.alert({
                    title: '错误',
                    msg: ret.msg
                });
            }
        } else {
            api.alert({
                msg: err.msg
            });
        }
        ;
    });

});
$('#register').tap(function () {
    api.openWin({
        name: 'register',
        url: 'win_register.html',
        bounces: false
    });
});
$('#forgetPass').tap(function () {
    api.openWin({
        name: 'forgetPass',
        url: 'win_forgetPass.html',
        bounces: false
    });
});