var util = {
    /**
     *frame是否已经打开
     * @param {Object} frm
     */
    ifFrmOpened: function (frm) {
        var ifOpened = false;
        for (var i = 0, fLen = this.frmArr.length; i < fLen; i++) {
            if (this.frmArr[i] == frm) {
                ifOpened = true;
                break;
            }
        }

        return ifOpened;
    },
    /**
     *根据传入的对象来打开frame
     * @param {Object} obj
     */
    openFrmByObj: function (obj) {
        if ($(obj).is('.active'))
            return;
        var frm = $(obj).attr('_frm');
        var pre = $('#footer li.active').attr('_frm');

        this.openFrm(frm);
        $(obj).addClass('active');
        if (pre) {
            $('li[_frm="' + pre + '"]').removeClass('active');
            api.setFrameAttr({
                name: pre,
                bounces: true,
                hidden: true
            });

        }
    },
    /**
     * 根据传入的名称来打开frame
     * @param {Object} frm
     */
    openFrm: function (frm) {

        if (util.ifFrmOpened(frm)) {
            api.setFrameAttr({
                name: frm,
                bounces: true,
                hidden: false,
                reload: true
            });

            if (frm == 'user' && localStorage.getItem('uLogin')) {
                api.ajax({
                    url: window._host + '/index.php?s=member&c=appapi&a=iflogin',
                    timeout: 15,
                    dataType: 'text',
                    returnAll: false,
                    headers: {
                        'X_REQUESTED_WITH': 'XMLHttpRequest'
                    }
                }, function (ret, err) {
                    if (err) {
                        api.alert({
                            title: '错误',
                            msg: err.msg
                        });
                        return;
                    }
                    if (!ret) {
                        alert('会话超时，请重新登录！');
                        api.execScript({
                            name: 'root',
                            frameName: 'user',
                            script: 'hideUser()'
                        });
                        return;
                    }
                    api.execScript({
                        name: 'root',
                        frameName: 'user',
                        script: 'showUser()'
                    });
                });
                return;
            }
            if (frm == 'note') {
                api.setFrameAttr({
                    bounces: true,
                    reload: true
                });
            }
        } else {
            var foot = $('#footer').offset();
            var width = api.winWidth;
            var height = api.winHeight - foot.height;

            if (frm === 'user') {
                api.openFrame({
                    name: frm,
                    url: 'html/user_out.html',
                    bounces: true,
                    rect: {
                        x: 0,
                        y: 0,
                        w: width,
                        h: height
                    }
                });
            } else {
                api.openFrame({
                    name: frm,
                    url: 'html/' + frm + '.html',
                    bounces: true,
                    opaque: true,
                    vScrollBarEnabled: false,
                    rect: {
                        x: 0,
                        y: 0,
                        w: width,
                        h: height
                    }
                });
            }

            this.frmArr.push(frm);
        }
    },
    frmArr: []
};
